Subject: Re: bug#42887: 28.0.50; Customize Group doesn't show/hide option on repeated clicking

From: Mauro Aranda <[email-masked]>
Date: Mon, 11 Sep 2023 10:34:55 -0300

I don't know why I couldn't reproduce it three years ago, but I managed
to do that now, I think.

Could you please check if the following change to
widget-button-release-event-p fixes this for you?

(defun widget-button-release-event-p (event)
   "Non-nil if EVENT is a mouse-button-release event object."
   (and (eventp event)
        (memq (event-basic-type event) '(mouse-1 mouse-2 mouse-3))
        (seq-some (lambda (el)
                    (memq el '(click drag triple double)))
                  (event-modifiers event))))

Please do try it with mouse-1 and mouse-2 if you can.

(I know that the mark gets set with repeating clicks with mouse-1,
and there's a signal with mouse-2, but I'm focusing on whether this
changes fixes the detection of repeated clicks)